# vim: set ts=4 sw=4 et:
# Copyright (c) 2005-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        A portable Impulse Tracker clone
Name:           cheesetracker
Version:        0.9.15.4
Release:        5.66
License: GPL-2.0
Group:          Productivity/Multimedia/Sound/Midi
URL:            http://cheesetracker.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/cheesetracker/cheesetracker-%{version}.tar.bz2
Source1:        %{name}.png
Patch0:         %{name}-SConstruct.diff
Patch1:         %{name}-detect-64.py.diff
Patch2:         %{name}-gcc43.patch
Patch3:         %{name}-no-return-in-nonvoid-function.patch
Patch4:         cheesetracker-fix_missing_includes.patch
Patch5:         cheesetracker-0.9.15.4-stddef.patch
# Took from Debian
Patch6:         cheesetracker-0.9.15.4-address_temp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Recommends:     ladspa
Recommends:     ladspa-cmt
BuildRequires:  ladspa-devel
BuildRequires:  alsa-devel
BuildRequires:  audiofile-devel
BuildRequires:  gmp-devel
BuildRequires:  libjack-devel
BuildRequires:  libsigc++12-devel
BuildRequires:  pkg-config
BuildRequires:  qt3-devel
BuildRequires:  scons
BuildRequires:  update-desktop-files

%description
Cheesetracker is a portable Impulse Tracker clone. It supports all
Impulse Tracker features except a few. For now the main goal is to
remain at IT Feature set level, but very soon we might be adding
new features to it.

Supported features include:
* Modular source code
* Per-track lowpass filter (cutoff/resonance), with greater range
  than IT.
* Per-instrument modular effect core (own effects/and ladspa)
* Wave export (dump your song to wavs and post process)
* Super-Clean mixing using the CheeseMusic lib.
* All IT editing shortcuts (or most of them)
* Very cool sample editor

And Lacks:
* MIDI Out
* Sample Sustain Loops (maybe someday)

%prep
%setup -q
%patch0
%ifarch x86_64
%patch1
%endif
%patch2 -p1
%patch3 -p1
%patch4
%patch5
%patch6 -p1

iconv -f ISO8859-1 -t UTF8 cheesetracker/docs/it.txt > t; mv t cheesetracker/docs/it.txt
%__sed -i 's/\r//g' \
    cheesetracker/docs/it.txt
%__sed -i 's/\r//g' \
    cheesetracker/docs/xm.txt
%__chmod 644 cheesetracker/docs/xm.txt cheesetracker/docs/it.txt

%build
scons %{?jobs:-j%{jobs}} \
    prefix=%{_prefix}

%install
scons \
    prefix=%{buildroot}%{_prefix} \
    install

# create menu and icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} \
    %{buildroot}%{_datadir}/pixmaps

%__cat > %{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
GenericName=%{name}
Comment=A portable Impulse Tracker clone
Exec=%{name}_qt
Icon=%{name}
Terminal=false
Type=Application
#Encoding=UTF-8
#Categories=AudioVideo;Sequencer;
EOF
%suse_update_desktop_file -i %{name} AudioVideo Sequencer

%__rm -f %{buildroot}%{_bindir}/.sconsign
%__rm -f %{buildroot}%{name}/examples/SCsub

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-, root, root)
%doc ChangeLog TODO
%doc %{name}/AUTHORS %{name}/COPYING %{name}/README
%doc %{name}/docs/*.txt
%doc %{name}/examples
%{_bindir}/%{name}_qt
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Feb 17 2008 toni@links2linux.de
- update to 0.9.15.4
* Mon Dec 31 2007 toni@links2linux.de
- update to 0.9.15.3
* Sun Aug 26 2007 toni@links2linux.de
- update to 0.9.15.2
* Wed Aug  8 2007 toni@links2linux.de
- update to 0.9.15.1
* Tue Aug  7 2007 toni@links2linux.de
- update to 0.9.15
* Sun Aug  5 2007 toni@links2linux.de
- update to 0.9.14.3
* Fri Aug  3 2007 toni@links2linux.de
- update to 0.9.13
- changed URL
* Sat Dec 30 2006 oliver@links2linux.de
- added lib64-detect.patch
* Wed Oct 25 2006 toni@links2linux.de
- build for packman
- added debug_package instead of strip
* Wed Aug 10 2005 oc2pus@arcor.de
- repacked as tar.bz2
* Thu Apr  7 2005 oc2pus@arcor.de
- added missing Packager-Tag
* Tue Apr  5 2005 oc2pus@arcor.de
- Initial RPM release SuSE-9.2
